Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class FillPattern

    Object
      CodeList<E>
          SimpleEnumerationType<FillPattern>
              FillPattern

All Implemented Interfaces:
  Serializable, Comparable<FillPattern>

    public class FillPattern

extends SimpleEnumerationType<FillPattern>

Indicates the various fill patterns. This class defines static constants for all of the standard choices. Depending on the choice of fill style, the current foreground color, background color, fill pattern, and gradient points may affect the appearance of an object.

An implementation is not required to implement the entire list of available fill patterns. At runtime, the list of implemented patterns can be retrieved from a `DisplayCapabilities` object (that was itself retrieved from a `Canvas`). An implementation may also implement other patterns not listed here.

NOTE: Two different implementations may have fill patterns with the same name, but use different `FillPattern` instances (since they may not know about each others name use). If clients need to use the file pattern to find a fill pattern they should search the array returned by `getSupportedFillPatterns()` from the `DisplayCapabilities` instance associated with the correct provider.

This list was compiled by examining the behavior of various software packages. Where possible, a reference document is given. For others, a description of the style is given.

See Also:
  Serialized Form

Field Summary
`static FillPattern` | `DOTS` Regularly spaced single pixels.
`static FillPattern` | `FILL_25_PERCENT` 25% fill.
`static FillPattern` | `FILL_50_PERCENT` 50% fill.
`static FillPattern` | `FILL_75_PERCENT` 75% fill.
`static FillPattern` | `HORIZONTAL_LINES` Parallel horizontal lines.
`static FillPattern` | `NEGATIVE_SLANTS` Parallel slanted lines running from upper left to lower right.
`static FillPattern` | `NONE` No fill pattern.
`static FillPattern` | `PLUSSES` Small closely spaced '+' marks.
`static FillPattern` | `POSITIVE_SLANTS` Parallel slanted lines running from lower left to upper right.
`static FillPattern` | `VERTICAL_LINES` Parallel vertical lines.
`static FillPattern` | `XHATCH` Two series of intersecting parallel lines.

Constructor Summary
`protected` | `FillPattern(String name, String description)` Construct a new FillPattern with the give name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static FillPattern[]` | `values()` Returns the list of `FillPattern`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final FillPattern NONE

  No fill pattern.

### DOTS

    public static final FillPattern DOTS

  Regularly spaced single pixels.

### VERTICAL_LINES

    public static final FillPattern VERTICAL_LINES

  Parallel vertical lines.

### HORIZONTAL_LINES

    public static final FillPattern HORIZONTAL_LINES

  Parallel horizontal lines.

### NEGATIVE_SLANTS

    public static final FillPattern NEGATIVE_SLANTS

  Parallel slanted lines running from upper left to lower right.

### POSITIVE_SLANTS

    public static final FillPattern POSITIVE_SLANTS

  Parallel slanted lines running from lower left to upper right.

### PLUSSES

    public static final FillPattern PLUSSES

  Small closely spaced '+' marks.

### XHATCH

    public static final FillPattern XHATCH

  Two series of intersecting parallel lines.

### FILL_25_PERCENT

    public static final FillPattern FILL_25_PERCENT

  25% fill. Can be used to simulate transparency.

### FILL_50_PERCENT

    public static final FillPattern FILL_50_PERCENT

  50% fill. Can be used to simulate transparency.

### FILL_75_PERCENT

    public static final FillPattern FILL_75_PERCENT

  75% fill. Can be used to simulate transparency.

Constructor Detail

### FillPattern

    protected FillPattern(String name,
                          String description)

  Construct a new FillPattern with the give name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedFillPatterns()`.

  Parameters:
    `name` - a String defining the name of the fill pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static FillPattern[] values()

  Returns the list of `FillPattern`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<FillPattern>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.